---
updatedAt: 2025-11-13T14:40:38.000Z
agentTools:
  siteIndex: https://docs.affirm.com/llms.txt
  projectIndex: https://docs.affirm.com/developers/v1.0-Global-Integration/llms.txt
---

# The Item Object

## Attributes

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th style={{ textAlign: "left" }}>
        Attribute
      </th>

      <th style={{ textAlign: "left" }}>
        Data type
      </th>

      <th style={{ textAlign: "left" }}>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td style={{ textAlign: "left" }}>
        **display_name** <span style={{ color: "red" }}>required</span>
      </td>

      <td style={{ textAlign: "left" }}>
        *string*
      </td>

      <td style={{ textAlign: "left" }}>
        The display name of the product.
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        **sku** <span style={{ color: "red" }}>required</span>
      </td>

      <td style={{ textAlign: "left" }}>
        *string*
      </td>

      <td style={{ textAlign: "left" }}>
        The product SKU.
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        **unit_price** <span style={{ color: "red" }}>required</span>
      </td>

      <td style={{ textAlign: "left" }}>
        *integer*
      </td>

      <td style={{ textAlign: "left" }}>
        The item price amount in USD or CAD cents.
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        **qty**
      </td>

      <td style={{ textAlign: "left" }}>
        *integer*
      </td>

      <td style={{ textAlign: "left" }}>
        The item quantity expressed as an integer.
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        **item_image_url**
      </td>

      <td style={{ textAlign: "left" }}>
        *string*
      </td>

      <td style={{ textAlign: "left" }}>
        The item's product image URL.
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        **item_url**
      </td>

      <td style={{ textAlign: "left" }}>
        *string*
      </td>

      <td style={{ textAlign: "left" }}>
        The item's product description page URL.
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        **categories**
      </td>

      <td style={{ textAlign: "left" }}>
        *Array*
      </td>

      <td style={{ textAlign: "left" }}>
        An array of lists that indicate the various categories that apply to this product, *and* the hierarchy of those category definitions. Each list in the array contains one or more comma-separated strings, with the first string being the highest-level (widest) category.
      </td>
    </tr>
  </tbody>
</Table>

### Response Example

```json Item Object (Global Integration)
{
   "display_name":"Awesome Pants",
   "sku":"ABC-123",
   "unit_price":1999,
   "qty":3,
   "item_image_url":"http://merchantsite.com/images/awesome-pants.jpg",
   "item_url":"http://merchantsite.com/products/awesome-pants.html",
   "categories":[
      [
         "Apparel",
         "Pants"
      ],
      [
         "Mens",
         "Apparel",
         "Pants"
      ]
   ]
}
```

# Sibling pages

* [The Merchant Object](https://docs.affirm.com/developers/v1.0-Global-Integration/reference/the-merchant-object.md)
* [The Customer Object](https://docs.affirm.com/developers/v1.0-Global-Integration/reference/the-customer-object.md)
* [The Metadata Object](https://docs.affirm.com/developers/v1.0-Global-Integration/reference/the-metadata-object.md)
* [Name Object](https://docs.affirm.com/developers/v1.0-Global-Integration/reference/name-object-1.md)
* [Address Object](https://docs.affirm.com/developers/v1.0-Global-Integration/reference/address-object-1.md)
* [Shipping & Billing Objects](https://docs.affirm.com/developers/v1.0-Global-Integration/reference/shipping-billing-objects.md)
* [The Discount Object](https://docs.affirm.com/developers/v1.0-Global-Integration/reference/the-discount-object.md)